## Contributing to Morphia

Thank you for your interest in contributing to Morphia.

We are building this software together and strongly encourage contributions
from the community that are within the guidelines set forth below.

Bug Fixes and New Features
--------------------------

Before starting to write code, look for existing [tickets]
(https://github.com/mongodb/morphia/issues) or [create one]
(https://github.com/mongodb/morphia/issues/new) 
for your bug, issue, or feature request. This helps the community
avoid working on something that might not be of interest or which
has already been addressed.  Once you've verified your potential bug
is indeed unique, please include the following information:

  1. Morphia version
  1. JDK version
  1. Mongodb version
  1. Any stacktraces generated by the failure
  1. If possible, a test case to recreate the behavior.

Pull Requests
-------------

Pull requests should be made against the master (development)
branch and include relevant tests, if applicable. Code should compile
and tests should pass under Java 5.  Please run 'gradlew check' to confirm.  If 
your tests modify code related to replica sets, please ensure 
that you run the tests with a replica set where the primary is on port 27017.

Talk To Us
----------

If you want to work on something or have questions / complaints please reach
out to us on our [mailing list](https://groups.google.com/forum/#!forum/morphia).
